import type { AstroCookies, ComponentInstance, MiddlewareHandler } from '../../@types/astro';
import type { RenderContext } from './context.js';
import type { Environment } from './environment.js';
export type RenderPage = {
    mod: ComponentInstance;
    renderContext: RenderContext;
    env: Environment;
    cookies: AstroCookies;
};
/**
 * It attempts to render a page.
 *
 * ## Errors
 *
 * It throws an error if the page can't be rendered.
 */
export declare function tryRenderPage<MiddlewareReturnType = Response>(renderContext: Readonly<RenderContext>, env: Readonly<Environment>, mod: Readonly<ComponentInstance>, onRequest?: MiddlewareHandler<MiddlewareReturnType>): Promise<Response>;
